Uploaded image for project: 'TorqueBox'
  1. TorqueBox
  2. TORQUE-817

bundle/setup required in torquebox_init.rb to allow message processor to load from gem

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Cannot Reproduce
    • Affects Version/s: 2.0.2
    • Fix Version/s: 2.1.1
    • Component/s: Endpoints, Messaging, Queues
    • Environment:

      Ubuntu Linux 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:28:43 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

    • Workaround Description:
      Hide

      Create a torquebox_init.rb file in your project's root (or /config)

      ----- torquebox_init.rb -----
      require 'bundler/setup'
      -----------------------------

      Show
      Create a torquebox_init.rb file in your project's root (or /config) ----- torquebox_init.rb ----- require 'bundler/setup' -----------------------------

      Description

      In order to allow Message Processors from external libs/gems to be used in an application, a torquebox_init.rb file is needed to require your gem(s).

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                benbrowning Ben Browining
                Reporter:
                dcolebatch David Colebatch
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: